import { Extension } from "@codemirror/state";
/**
 * Adds a loading-state over the autocomplete
 * @returns An extension containing everything needed to add the loading-state
 */
export declare function autocompleteLoadingState(): Extension;
/**
 * Activates the loading state on the autocomplete
 */
export declare function showAutocompleteLoadingState(): void;
